/*
 * Copyright (C) 2013 Snowsun <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.states;

import com.jme3.app.state.AbstractAppState;
import com.jme3.app.state.AppStateManager;
import org.wyrez.shootingstars.gui.OptionsGUI;
import org.wyrez.shootingstars.gui.listener.OptionsListener;
import org.wyrez.shootingstars.states.util.OptionSettings;
import tonegod.gui.core.Screen;

/**
 *
 * @author Snowsun
 */
public class OptionsState extends AbstractAppState implements OptionsListener {

    private StateManager stateManager;
    private OptionsGUI gui;
    private OptionSettings settings;
    
    public OptionsState(Screen screen, StateManager stateManager, OptionSettings settings) {
        this.stateManager = stateManager;
        this.settings = settings;
        this.gui = new OptionsGUI(screen, this,settings);
    }

    @Override
    public void stateAttached(AppStateManager stateManager) {        
        gui.attach();
    }

    @Override
    public void stateDetached(AppStateManager stateManager) {
        gui.detach();
    }
    
    public void save() {
        stateManager.setState(State.MENU);
    }

    public void cancel() {
        stateManager.setState(State.MENU);
    }

}
